Package org.eclipse.mat.snapshot

# Class ExcludedReferencesDescriptor

java.lang.Object
org.eclipse.mat.snapshot.ExcludedReferencesDescriptor

public final class ExcludedReferencesDescriptor extends Object
A way of describing which references should not be followed when calculating retained sets and other queries involving paths.

## Constructor Summary

Constructors
Constructor
Description
`ExcludedReferencesDescriptor(int[] objectIds, String... fields)`
`ExcludedReferencesDescriptor(int[] objectIds, Set<String> fields)`
Constructor based on objects and fields.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`contains(int objectId)`
See if this object is excluded.
`Set<String>`
`getFields()`
The excluded fields
`int[]`
`getObjectIds()`
All the excluded object ids.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExcludedReferencesDescriptor

public ExcludedReferencesDescriptor(int[] objectIds, Set<String> fields)
Constructor based on objects and fields. Excluded reference if the reference is from one of these objects going through the named fields.

Parameters:
  `objectIds` - don't go through these objects
  `fields` - then though these fields. null means all fields.

### ExcludedReferencesDescriptor

public ExcludedReferencesDescriptor(int[] objectIds, String... fields)

## Method Details

### getFields

public Set<String> getFields()
The excluded fields

Returns:
  a set of field names

### contains

public boolean contains(int objectId)
See if this object is excluded.

Parameters:
  `objectId` -
Returns:
  true if excluded

### getObjectIds

public int[] getObjectIds()
All the excluded object ids.

Returns:
  an array of object ids.